Deactivate Blueprint

Purpose

To deactivate a published blueprint in your Zoho CRM organization.

Endpoints

  • POST/settings/blueprints/{blueprint_ID}/actions/deactivate

Request Details

Request URL

{api-domain}/crm/{version}/settings/blueprints/{blueprint_ID}/actions/deactivate

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.blueprint.UPDATE  (or)
ZohoCRM.settings.blueprint.ALL  (or)
ZohoCRM.settings.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/blueprints/6725867000002483149/actions/deactivate"
-X POST
-d "@input.json"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Request JSON

  • exit_recordsBoolean, mandatory

    Contains value denoting whether to exit records present in the blueprint that is being deactivated.

Sample Input

Copied{
  "blueprints": [
    {
      "exit_records": true
    }
  ]
}

Possible Errors

  • INVALID_DATAHTTP 400

    The blueprint ID given seems to be invalid.
    Resolution: Specify a valid blueprint ID.

Sample Response

Copied{
  "blueprints": [
    {
      "code": "SUCCESS",
      "details": {
        "id": "6725867000002483149"
      },
      "message": "Blueprint successfully deactivated",
      "status": "success"
    }
  ]
}